Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# English

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# English

- NAME
- SYNOPSIS
- DESCRIPTION
- PERFORMANCE

# NAME

English - use nice English (or awk) names for ugly punctuation variables

# SYNOPSIS

        use English qw( -no_match_vars ) ;  # Avoids regex performance penalty    use English;    ...    if ($ERRNO =~ /denied/) { ... }

# DESCRIPTION

This module provides aliases for the built-in variables whose names no one seems to like to read. Variables with side-effects which get triggered just by accessing them (like $0) will still be affected.

For those variables that have an awk version, both long and short English alternatives are provided. For example, the `$/` variable can be referred to either $RS or $INPUT_RECORD_SEPARATOR if you are using the English module.

See perlvar for a complete list of these.

# PERFORMANCE

This module can provoke sizeable inefficiencies for regular expressions, due to unfortunate implementation details. If performance matters in your application and you don't need $PREMATCH, $MATCH, or $POSTMATCH, try doing

       use English qw( -no_match_vars ) ;

. It is especially important to do this in modules to avoid penalizing all applications which use them.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- PERFORMANCE